/Users/bernard/b20/bsoft/include/rwxml.h(3)

NAME
/Users/bernard/b20/bsoft/include/rwxml.h - Reads and writes micrograph XML files.

SYNOPSIS

#include <libxml/parser.h>
#include <libxml/xmlschemas.h>
#include 'Bstring.h'

  Typedefs
typedef const char * xmlFormat

  Functions
int xml_check_for_node (xmlNodePtr parent, const char *tag)
int xml_check_for_node_in_tree (xmlNodePtr parent, const char *tag)
xmlNodePtr xml_find_node (xmlNodePtr parent, const char *tag)
int xml_copy_string (char *string, xmlNodePtr parent, const char *tag)
string xml_get_string_attribute (xmlNodePtr parent, const char *tag)
long xml_get_integer_attribute (xmlNodePtr parent, const char *tag)
double xml_get_real_attribute (xmlNodePtr parent, const char *tag)
string xml_get_string (xmlNodePtr parent, const char *tag)
long xml_get_integer (xmlNodePtr parent, const char *tag)
double xml_get_real (xmlNodePtr parent, const char *tag)
xmlAttrPtr xml_set_integer_attribute (xmlNodePtr parent, const char *tag, long value, const char *format)
xmlAttrPtr xml_set_real_attribute (xmlNodePtr parent, const char *tag, double value, const char *format)
xmlNodePtr xml_set_integer (xmlNodePtr parent, const char *tag, long value, const char *format)
xmlNodePtr xml_set_real (xmlNodePtr parent, const char *tag, double value, const char *format)
int xml_validate (const xmlDocPtr doc, Bstring &xsdfile)

Detailed Description

Reads and writes micrograph XML files.

Author:
    Bernard Heymann

Date:
    Created: 20050920

    Modified: 20180702

Definition in file rwxml.h.

Typedef Documentation

  typedef const char* xmlFormat

Definition at line 16 of file rwxml.h.

Function Documentation

  int xml_check_for_node (xmlNodePtr parent, const char * tag)

  int xml_check_for_node_in_tree (xmlNodePtr parent, const char * tag)

  int xml_copy_string (char * string, xmlNodePtr parent, const char * tag)

  xmlNodePtr xml_find_node (xmlNodePtr parent, const char * tag)

  long xml_get_integer (xmlNodePtr parent, const char * tag)

  long xml_get_integer_attribute (xmlNodePtr parent, const char * tag)

  double xml_get_real (xmlNodePtr parent, const char * tag)

  double xml_get_real_attribute (xmlNodePtr parent, const char * tag)

  string xml_get_string (xmlNodePtr parent, const char * tag)

  string xml_get_string_attribute (xmlNodePtr parent, const char * tag)

  xmlNodePtr xml_set_integer (xmlNodePtr parent, const char * tag, long value, const char * format)

  xmlAttrPtr xml_set_integer_attribute (xmlNodePtr parent, const char * tag, long value, const char * format)

  xmlNodePtr xml_set_real (xmlNodePtr parent, const char * tag, double value, const char * format)

  xmlAttrPtr xml_set_real_attribute (xmlNodePtr parent, const char * tag, double value, const char * format)

  int xml_validate (const xmlDocPtr doc, Bstring & xsdfile)

Author

Generated automatically by Doxygen for Bsoft from the source code.